/*
 * Copyright (C) 2006-2011 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file stdin.h The standard in task structure. */

/** The task structure used for reading from stdin. */
struct stdin_task {
	/** The task structure. */
	struct task task;
	/** Stdin is always the root of a buffer tree. */
	struct btr_node *btrn;
	/** Use a buffer pool to minimize memcpy due to alignment problems. */
	struct btr_pool *btrp;
};

void stdin_set_defaults(struct stdin_task *sit);
